The Vigil@nce team watches public vulnerabilities impacting your computers, and then offers security solutions, a vigilance database and tools to fix them.

Computer vulnerabilities of XnView

XnView: multiple vulnerabilities
An attacker can use several vulnerabilities of XnView...
CVE-2019-13253, CVE-2019-13254, CVE-2019-13255, CVE-2019-13256, CVE-2019-13257, CVE-2019-13258, CVE-2019-13259, CVE-2019-13260, CVE-2019-13261, CVE-2019-13262, VIGILANCE-VUL-29696
XnView: three vulnerabilities
An attacker can use several vulnerabilities of XnView...
CVE-2019-13083, CVE-2019-13084, CVE-2019-13085, VIGILANCE-VUL-29659
SQLite: out-of-bounds memory reading via rtreenode
An attacker can force a read at an invalid address via rtreenode() of SQLite, in order to trigger a denial of service, or to obtain sensitive information...
cpuapr2020, cpujan2020, CVE-2019-8457, DSA-2019-133, FEDORA-2019-02b81266b7, FEDORA-2019-3377813d18, openSUSE-SU-2019:1645-1, RHSA-2020:1810-01, SUSE-SU-2019:14083-1, SUSE-SU-2019:14120-1, SUSE-SU-2019:1522-1, SUSE-SU-2019:1601-1, USN-4004-1, USN-4004-2, USN-4019-1, USN-4019-2, VIGILANCE-VUL-29449
SQLite: use after free via Window
An attacker can force the usage of a freed memory area via Window of SQLite, in order to trigger a denial of service, and possibly to run code...
CVE-2019-5018, TALOS-2019-0777, USN-4205-1, VIGILANCE-VUL-29269
SQLite: code execution via Optional Extensions
An attacker can use a vulnerability via Optional Extensions of SQLite, in order to run code...
VIGILANCE-VUL-29061
XnView: eight vulnerabilities
An attacker can use several vulnerabilities of XnView...
CVE-2019-9962, CVE-2019-9963, CVE-2019-9964, CVE-2019-9965, CVE-2019-9966, CVE-2019-9967, CVE-2019-9968, CVE-2019-9969, VIGILANCE-VUL-28849
XnView: multiple vulnerabilities
An attacker can use several vulnerabilities of XnView...
CVE-2018-15174, CVE-2018-15175, CVE-2018-15176, VIGILANCE-VUL-26928
XnView: multiple vulnerabilities
An attacker can use several vulnerabilities of XnView...
VIGILANCE-VUL-24210
XnView: three vulnerabilities
An attacker can use several vulnerabilities of XnView...
CVE-2017-14538, CVE-2017-14541, CVE-2017-14580, VIGILANCE-VUL-23870
XnView Classic: memory corruption via JB2
An attacker can generate a memory corruption via JB2 of XnView Classic, in order to trigger a denial of service, and possibly to run code...
CVE-2017-14270, CVE-2017-14271, CVE-2017-14272, CVE-2017-14273, CVE-2017-14274, CVE-2017-14275, CVE-2017-14276, CVE-2017-14277, CVE-2017-14278, CVE-2017-14279, CVE-2017-14280, CVE-2017-14281, CVE-2017-14282, CVE-2017-14283, CVE-2017-14284, CVE-2017-14285, VIGILANCE-VUL-23810
Our database contains other pages. You can request a free trial to read them.

Display information about XnView: